phoenix-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Artem Ervits (JIRA)" <j...@apache.org>
Subject [jira] [Created] (PHOENIX-5038) Fix for warning: Multiple versions of scala detected in phoenix-spark
Date Wed, 21 Nov 2018 17:25:00 GMT
Artem Ervits created PHOENIX-5038:
-------------------------------------

             Summary: Fix for warning: Multiple versions of scala detected in phoenix-spark
                 Key: PHOENIX-5038
                 URL: https://issues.apache.org/jira/browse/PHOENIX-5038
             Project: Phoenix
          Issue Type: Improvement
         Environment: {code:java}
Apache Maven 3.5.4 (1edded0938998edf8bf061f1ceb3cfdeccf443fe; 2018-06-17T14:33:14-04:00)
Maven home: /opt/apache-maven-3.5.4
Java version: 1.8.0_172, vendor: Oracle Corporation, runtime: /Library/Java/JavaVirtualMachines/jdk1.8.0_172.jdk/Contents/Home/jre
Default locale: en_US, platform encoding: UTF-8
OS name: "mac os x", version: "10.13.6", arch: "x86_64", family: "mac"{code}
            Reporter: Artem Ervits
            Assignee: Artem Ervits
         Attachments: PHOENIX-5038-v01.patch

{code:java}
[WARNING] Expected all dependencies to require Scala version: 2.11.8
[WARNING] org.apache.phoenix:phoenix-spark:5.1.0-HBase-2.0-SNAPSHOT requires scala version:
2.11.8
[WARNING] com.twitter:chill_2.11:0.8.4 requires scala version: 2.11.8
[WARNING] org.apache.spark:spark-core_2.11:2.3.0 requires scala version: 2.11.8
[WARNING] org.json4s:json4s-jackson_2.11:3.2.11 requires scala version: 2.11.0
[WARNING] Multiple versions of scala libraries detected!{code}



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Mime
View raw message